=begin rdoc
= Camera Recorder
Copyright 2009, Chris Fullmer
All Rights Reserved

== Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.

== License
Copyright 2009, Chris Fullmer
You may not alter, publish, market, distribute, give, transfer, sell or sublicense the Scripts or any part of this Script.

== Information
See clf_camera_recorder.rb inside the folder by the same name for further details.
=end

require 'sketchup.rb'
require 'extensions.rb'


#Register with SU's extension manager
ext = SketchupExtension.new("Camera Recorder", "clf_camera_recorder\\clf_camera_recorder.rb")
ext.name = "Camera Recorder"
ext.description = "Record model navigation out to a series of images."
ext.version = "1.7"
ext.creator = "Chris Fullmer, distributed at www.sketchucation.com"
ext.copyright = "2009, Chris Fullmer"

Sketchup.register_extension(ext, true)